public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-calculators/units/
Date: Wed, 27 Nov 2024 05:42:54 +0000 (UTC)	[thread overview]
Message-ID: <1732686133.dba12e8bc099ccde5c329af38d33e1ff17bead8a.sam@gentoo> (raw)

commit:     dba12e8bc099ccde5c329af38d33e1ff17bead8a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 27 05:42:13 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Nov 27 05:42:13 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dba12e8b

sci-calculators/units: add 2.24

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-calculators/units/Manifest          |  1 +
 sci-calculators/units/units-2.24.ebuild | 61 +++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/sci-calculators/units/Manifest b/sci-calculators/units/Manifest
index 0dcbf6be4c02..d779dc3302dc 100644
--- a/sci-calculators/units/Manifest
+++ b/sci-calculators/units/Manifest
@@ -1 +1,2 @@
 DIST units-2.23.tar.gz 1423494 BLAKE2B 9a835ec3862b7c09149d5726084fb3068acb9d01b3a8234647cd47805a559b75131046bfe407152dec9f2e06c6c3315686dd0db0694d2c5ef0173e6ee64ce378 SHA512 628aac3a560ed728f1aba91841f9fccc0b145375a0b8953b98ac00c71bcc7f647377d16c6ba7b59e987a6e7a74b44038a62f2576f757a43d7564be469be81ee8
+DIST units-2.24.tar.gz 1493600 BLAKE2B e3f31b212dde2cd438f2ce40bef7ab413c18fb36ad2ab233fe62c6fb3f424f99f9c1878cd86239bc476d7805bf418ce1c2821b3b03b1a0e81cffa9b83e05ced2 SHA512 cf0a5f3ad410ff3eeaabfac71f5570b1eed9014c0a76afb6e6f3059b5eb3184cb577f9f76b1c5acd3a1aa8beb12ad060af5af00eef8361d68a7a19697486540f

diff --git a/sci-calculators/units/units-2.24.ebuild b/sci-calculators/units/units-2.24.ebuild
new file mode 100644
index 000000000000..e70c55546e81
--- /dev/null
+++ b/sci-calculators/units/units-2.24.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+inherit flag-o-matic python-r1
+
+DESCRIPTION="Unit conversion program"
+HOMEPAGE="https://www.gnu.org/software/units/units.html"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="FDL-1.3 GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="+units-cur"
+REQUIRED_USE="units-cur? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+	sys-libs/readline:=
+	units-cur? (
+		${PYTHON_DEPS}
+		$(python_gen_cond_dep '
+			dev-python/requests[${PYTHON_USEDEP}]
+		')
+	)
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.20-readerror.patch
+)
+
+DOCS=( NEWS README )
+
+src_configure() {
+	# bug #944371
+	append-cflags -std=gnu17
+
+	local myconf=(
+		--sharedstatedir="${EPREFIX}"/var/lib
+		ac_cv_path_PYTHON=no
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_compile() {
+	emake ${PN}
+}
+
+src_install() {
+	default
+
+	if use units-cur; then
+		sed \
+			-e 's|^#!|&/usr/bin/python|g' \
+			units_cur_inst > units_cur || die
+		python_foreach_impl python_doscript units_cur
+	fi
+}


             reply	other threads:[~2024-11-27  5:42 UTC|newest]

Thread overview: 82+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-27  5:42 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-28 12:08 [gentoo-commits] repo/gentoo:master commit in: sci-calculators/units/ Viorel Munteanu
2024-12-28 12:08 Viorel Munteanu
2024-12-27 12:02 Sam James
2024-12-27 12:02 Sam James
2024-12-27 12:02 Sam James
2024-11-24 11:21 Viorel Munteanu
2024-11-24 11:21 Viorel Munteanu
2024-05-23 15:56 Arthur Zamarin
2024-05-23 15:56 Arthur Zamarin
2024-05-23 15:56 Arthur Zamarin
2024-04-21  8:27 Viorel Munteanu
2023-07-19 19:59 Sam James
2023-07-19 19:59 Sam James
2022-12-31 15:04 Michał Górny
2022-10-18  2:18 Sam James
2022-05-30 22:53 Sam James
2021-02-12 13:46 Sam James
2021-02-05 12:31 Sam James
2021-02-05 10:40 Sam James
2021-02-05  6:36 Sam James
2021-01-07 19:04 Sam James
2021-01-07 18:57 Sam James
2021-01-07 10:09 Sam James
2021-01-02 22:43 Sam James
2021-01-02 22:07 Sam James
2021-01-01 13:10 Michał Górny
2021-01-01  4:32 Sam James
2020-10-04 12:07 Jeroen Roovers
2020-10-03 21:47 David Seifert
2020-10-01 12:07 Jeroen Roovers
2020-10-01  8:38 Jeroen Roovers
2020-04-19  2:35 Craig Andrews
2020-02-10 12:12 Michał Górny
2020-02-09 16:36 Michał Górny
2019-12-16  7:34 Jeroen Roovers
2019-10-10  7:55 Jeroen Roovers
2019-06-01  5:55 Jeroen Roovers
2019-06-01  5:55 Jeroen Roovers
2018-11-23 12:57 Jeroen Roovers
2018-10-21 19:21 Jeroen Roovers
2018-10-07 17:13 Jeroen Roovers
2018-03-18  6:41 Jeroen Roovers
2018-03-17 22:14 Matt Turner
2018-03-17 22:14 Matt Turner
2018-03-02 15:59 Tobias Klausmann
2017-12-20  2:30 Jeroen Roovers
2017-12-20  2:24 Jeroen Roovers
2017-12-19 10:39 Jeroen Roovers
2017-11-26 20:51 Jeroen Roovers
2017-11-01 19:57 Jeroen Roovers
2017-10-27  0:15 Jeroen Roovers
2017-10-24 13:15 Jeroen Roovers
2017-10-05 20:28 Jeroen Roovers
2017-10-04  3:48 Matt Turner
2017-10-01 19:11 Matt Turner
2017-10-01 19:11 Matt Turner
2017-09-24 19:20 Jeroen Roovers
2017-09-24  9:53 Michael Palimaka
2017-03-21 22:03 Michał Górny
2017-03-11  5:31 Jeroen Roovers
2017-02-01 22:48 Jeroen Roovers
2017-01-26 11:00 Agostino Sarubbo
2017-01-25 13:26 Tobias Klausmann
2017-01-22 19:26 Jeroen Roovers
2017-01-22 15:01 Agostino Sarubbo
2017-01-22 14:53 Agostino Sarubbo
2016-09-05  4:34 Jeroen Roovers
2016-06-21 20:36 Jeroen Roovers
2016-05-08  9:20 Jeroen Roovers
2016-01-10 10:34 Agostino Sarubbo
2016-01-09  6:43 Agostino Sarubbo
2015-12-07 11:40 Agostino Sarubbo
2015-12-04  5:37 Jeroen Roovers
2015-12-04  5:33 Jeroen Roovers
2015-12-03 13:28 Agostino Sarubbo
2015-12-01 11:20 Agostino Sarubbo
2015-10-17 11:36 Jeroen Roovers
2015-10-17 11:07 Jeroen Roovers
2015-10-17 11:07 Jeroen Roovers
2015-10-06  4:59 Jeroen Roovers
2015-09-16  3:54 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1732686133.dba12e8bc099ccde5c329af38d33e1ff17bead8a.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox